package pro.litvinovg.w2phtml.gui;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.UIManager;

import com.sun.star.uno.XComponentContext;

import pro.litvinovg.w2phtml.DialogHelper;

import java.awt.Toolkit;
import java.awt.GridLayout;
import javax.swing.JTabbedPane;
import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JPanel;

public class ConfigurationWindow extends JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private static JFrame singleFrame = null;


	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		runGUI(null);
		/*
		 * EventQueue.invokeLater(new Runnable() { public void run() { try {
		 * ConfigurationWindow window = new ConfigurationWindow();
		 * window.frame.setVisible(true); } catch (Exception e) {
		 * e.printStackTrace(); } } });
		 */
	}

	private XComponentContext context;

	/**
	 * Create the application.
	 */
	public ConfigurationWindow() {
		setTitle("Converter from ODT to HTML, ePub and RDF");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setIconImage(Toolkit.getDefaultToolkit().getImage(ConfigurationWindow.class.getResource("/pro/litvinovg/w2phtml/gui/resources/w2phtml.png")));
		initComponents();
		createEvents();
	}
	
	public ConfigurationWindow(XComponentContext context) {
		this.context = context;
		setTitle("Converter from ODT to HTML, ePub and RDF");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setIconImage(Toolkit.getDefaultToolkit().getImage(ConfigurationWindow.class.getResource("/pro/litvinovg/w2phtml/gui/resources/w2phtml.png")));
		initComponents();
		createEvents();
	}

	private void createEvents() {
		// TODO Auto-generated method stub
		
	}

	private void initComponents() {
		getContentPane().setLayout(new GridLayout(1, 0, 0, 0));

		JTabbedPane tabbedPane = new JTabbedPane(JTabbedPane.LEFT);
		getContentPane().add(tabbedPane);

		JPanel panel_1 = new JPanel();
		tabbedPane.addTab("HTML", null, panel_1, null);

		JPanel panel = new JPanel();
		tabbedPane.addTab("ePub", null, panel, null);

		JPanel panel_2 = new JPanel();
		tabbedPane.addTab("RDF", null, panel_2, null);

		JMenuBar menuBar = new JMenuBar();
		setJMenuBar(menuBar);

		JMenu mnFile = new JMenu("File");
		menuBar.add(mnFile);
	}

	public static void runGUI(XComponentContext context) {

		if (singleFrame != null) {
			singleFrame.dispose();
		}
			try {
				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			} catch (Throwable e) {
				DialogHelper.showErrorMessage(context, null, e.getLocalizedMessage());
				e.printStackTrace();
			} 
			EventQueue.invokeLater(new Runnable() {
				public void run() {
					try {
						ConfigurationWindow frame = new ConfigurationWindow(context);
						singleFrame = frame;
						frame.setBounds(100, 100, 800, 800);
						frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
						frame.setVisible(true);

					} catch (Throwable e) {
						DialogHelper.showErrorMessage(context, null, e.getLocalizedMessage());
						e.printStackTrace();
					} 
				}
			});	
		
	}


}
